{
    attributes = (
        {
            columnName = "EELT_CODE"; 
            name = eeltCode; 
            valueClassName = NSString; 
            width = 6; 
        }, 
        {
            columnName = "FANN_KEY"; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "IDIPL_NUMERO"; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "IEREL_DISPENSE"; 
            name = ierelDispense; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IEREL_ETAT"; 
            name = ierelEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IEREL_MOYENNE"; 
            name = ierelMoyenne; 
            valueClassName = NSNumber; 
            valueType = f; 
        }, 
        {
            columnName = "IEREL_SEMESTRE"; 
            name = ierelSemestre; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MEC_KEY"; 
            name = mecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = l; 
        }
    ); 
    attributesUsedForLocking = (eeltCode, fannKey, idiplNumero, mecKey); 
    className = "org.cocktail.profiler.server.eof.EOScolInscriptionElt"; 
    classProperties = (
        eeltCode, 
        ierelDispense, 
        ierelEtat, 
        ierelMoyenne, 
        ierelSemestre, 
        toScolFormationAnnee, 
        toScolInscriptionEtudiant, 
        toScolMaquetteEc
    ); 
    externalName = "SCOLARITE.SCOL_INSCRIPTION_ELT"; 
    fetchSpecificationDictionary = {}; 
    name = ScolInscriptionElt; 
    primaryKeyAttributes = (eeltCode, fannKey, idiplNumero, mecKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolInscriptionEtudiant; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }, 
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }
            ); 
            name = toScolInscriptionEtudiant; 
        }, 
        {
            destination = ScolMaquetteEc; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mecKey; sourceAttribute = mecKey; }); 
            name = toScolMaquetteEc; 
        }
    ); 
}
